#!/bin/bash
eval $@
[ "$MAKEDIST_TARGET" ] || MAKEDIST_TARGET="openmamba"
[ "$PLATFORM" ] || PLATFORM="rootfs-light"
[ "$MAKEFILE_TARGET" ] || MAKEFILE_TARGET="$MAKEDIST_TARGET-$PLATFORM"
[ "$ARCH" ] || ARCH=x86_64
echo "ARCH=$ARCH MAKEDIST_TARGET=$MAKEDIST_TARGET PLATFORM=$PLATFORM MAKEFILE_TARGET=$MAKEFILE_TARGET"
make --no-print-directory ARCH=$ARCH -C /usr/share/makedist/global CHROOTCMD="chroot /var/makedist/root.tmp" \
   LANGUAGE=it INSTALLED="" TARGET=$MAKEDIST_TARGET PLATFORM="$PLATFORM" -s $MAKEFILE_TARGET
echo
echo "Exit code: $?"
