## configure favorites in kde menu
#for f in /usr/share/applications/chromium.desktop /opt/kde/share/applications/kaffeine.desktop; do
#   chroot $MOUNTDIR /opt/kde/bin/kickoffcfg --add-favorite $f
#done

if [ -e $MOUNTDIR/etc/lxdm/lxdm.conf ]; then
   sed -i "s|# session=.*|session=/usr/bin/startkde-x11|" $MOUNTDIR/etc/lxdm/lxdm.conf
   sed -i "s|# autologin.*|autologin=liveuser|" $MOUNTDIR/etc/lxdm/lxdm.conf
fi

## remove some documentation to save space
#for f in ChangeLog Changelog CHANGES TODO NEWS README README.txt; do
#   find $MOUNTDIR/usr/share/doc -name $f -exec rm -f {} \;
#done

# disable filesystem autocheck due to a kernel bug in hannspad (blkid generated kernel crash)
if [ "$ARCH" = "arm" ]; then
   sed -i "s|FS_PARTS_UPDATE=yes|FS_PARTS_UPDATE=no|" $MOUNTDIR/etc/sysconfig/postplug
   sed -i "s|FS_SWAP_UPDATE=yes|FS_SWAP_UPDATE=no|" $MOUNTDIR/etc/sysconfig/postplug
fi

## FIXME: this should be done by postplug only when touchscreen is detected
#mkdir -p $MOUNTDIR/home/liveuser/.icons/default
#cat > $MOUNTDIR/home/liveuser/.icons/default/index.theme << _EOF
#[Icon Theme]
#Inherits=xcursor-transparent
#_EOF

# configure default liveuser password
echo "liveuser:openmamba" | chroot $MOUNTDIR chpasswd

#prelink
